Openstack error after GPU passthrough Traceback (most recent call last): File "/opt/stack/nova/nova/compute/manager.py", line 1939, in _prep_block_device wait_func=self._await_block_device_map_created)

asked 2020-02-25 15:03:35 -0500

jesper gravatar image

Hi im jesper: I'm having trouble configuring a Ubuntu 18.04 machine with a 2070 to passthrough the gpu. Here as i had many troubles to get this far, but now im stuck.

This error occurs when creating an instance: The error code:

Traceback (most recent call last): File "/opt/stack/nova/nova/compute/manager.py", line 1939, in _prep_block_device wait_func=self._await_block_device_map_created) File "/opt/stack/nova/nova/virt/block_device.py", line 874, in attach_block_devices _log_and_attach(device) File "/opt/stack/nova/nova/virt/block_device.py", line 871, in _log_and_attach bdm.attach(*attach_args, **attach_kwargs) File "/opt/stack/nova/nova/virt/block_device.py", line 771, in attach wait_func=wait_func, image_id=self.image_id) File "/opt/stack/nova/nova/virt/block_device.py", line 384, in _create_volume self._call_wait_func(context, wait_func, volume_api, vol['id']) File "/opt/stack/nova/nova/virt/block_device.py", line 731, in _call_wait_func {'volume_id': volume_id, 'exc': exc}) File "/usr/local/lib/python3.6/dist-packages/oslo_utils/excutils.py", line 220, in __exit__ self.force_reraise() File "/usr/local/lib/python3.6/dist-packages/oslo_utils/excutils.py", line 196, in force_reraise six.reraise(self.type_, self.value, self.tb) File "/usr/local/lib/python3.6/dist-packages/six.py", line 703, in reraise raise value File "/opt/stack/nova/nova/virt/block_device.py", line 721, in _call_wait_func wait_func(context, volume_id) File "/opt/stack/nova/nova/compute/manager.py", line 1601, in _await_block_device_map_created volume_status=volume_status) nova.exception.VolumeNotCreated: Volume cc91737f-0fab-4a5d-b189-94110f9828db did not finish being created even after we waited 0 seconds or 1 attempts. And its status is error. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/stack/nova/nova/compute/manager.py", line 2571, in _build_resources block_device_mapping) File "/opt/stack/nova/nova/compute/manager.py", line 1957, in _prep_block_device raise exception.InvalidBDM(six.text_type(ex)) nova.exception.InvalidBDM: Volume cc91737f-0fab-4a5d-b189-94110f9828db did not finish being created even after we waited 0 seconds or 1 attempts. And its status is error. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/stack/nova/nova/compute/manager.py", line 2196, in _do_build_and_run_instance filter_properties, request_spec) File "/opt/stack/nova/nova/compute/manager.py", line 2411, in _build_and_run_instance bdms=block_device_mapping, tb=tb) File "/usr/local/lib/python3.6/dist-packages/oslo_utils/excutils.py", line 220, in __exit__ self.force_reraise() File "/usr/local/lib/python3.6/dist-packages/oslo_utils/excutils.py", line 196, in force_reraise six.reraise(self.type_, self.value, self.tb) File "/usr/local/lib/python3.6/dist-packages/six.py", line 703, in reraise raise value File "/opt/stack/nova/nova/compute/manager.py", line 2361, in _build_and_run_instance request_group_resource_providers_mapping) as resources: File "/usr/lib/python3.6/contextlib.py", line 81, in __enter__ return next(self.gen) File "/opt/stack/nova/nova/compute/manager.py", line 2590, in _build_resources reason=e.format_message()) nova.exception.BuildAbortException: Build of instance 1a1566e6-a7d2-45ae-a776-77fc02269de6 aborted: Volume cc91737f-0fab-4a5d-b189-94110f9828db did not finish being created even after we waited 0 seconds or 1 attempts. And its status is error.

I cannot comprehend this text myself and was ... (more)

edit retag flag offensive close merge delete

Comments

Screenshot of the error. https://prnt.sc/r7t2p1

I now no longer can create instances no matter if i assign gpu to it.

jesper gravatar imagejesper ( 2020-02-26 02:21:21 -0500 )edit